API · v1
EtheReal API
A RESTful interface for everything the platform does. Bearer-token auth, JSON in & out, idempotent writes.
Endpoints
24
Avg latency
142 ms
Uptime SLA
99.95%
Quick start
Authenticate, then call any endpoint with your bearer token.
curl https://api.ethereal.app/v1/readings \ -H "Authorization: Bearer YOUR_TOKEN" \ -H "Content-Type: application/json"
POST
/v1/auth/signupCreate a new account.
Request
{
"email": "user@mail.com",
"password": "••••"
}Response · 200
{
"id": "u_123",
"token": "jwt…",
"role": "seeker"
}POST
/v1/auth/loginSign in and receive a session token.
Request
{
"email": "user@mail.com",
"password": "••••"
}Response · 200
{
"token": "jwt…",
"expires": "2025-07-28T00:00:00Z"
}POST
/v1/auth/logoutRevoke the current session.
Response · 200
{
"ok": true
}Status: All systems operational
Last check 30 seconds ago · 7 days uptime 100%
Healthy